The Alternative Csound Reference Manual
Previous |  | Next

# sininv

sininv -- Performs an arcsine function.

## Description

Returns the arcsine of x (x in radians).

## Syntax

sininv(x) (no rate restriction)

## Examples

Here is an example of the sininv opcode. It uses the files sininv.orc and sininv.sco.

Example 1. Example of the sininv opcode.

    /* sininv.orc */
    /* Written by Kevin Conder */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 0.5
      i1 = sininv(irad)

      print i1
    endin
    /* sininv.orc */

    /* sininv.sco */
    /* Written by Kevin Conder */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* sininv.sco */

Its output should include a line like this:

    instr 1:  i1 = 0.524

## See Also

cos, cosh, cosinv, sin, sinh, tan, tanh, taninv

Previous | Home | Next
sinh | Up | sleighbells